Changes between Version 14 and Version 15 of PythonOcc/primitives


Ignore:
Timestamp:
Oct 30, 2013, 2:14:22 PM (6 years ago)
Author:
ptomsic
Comment:

--

Legend:

Unmodified
Added
Removed
Modified
  • PythonOcc/primitives

    v14 v15  
    223223== Uporaba geometrijskih primitivov ==
    224224[[BR]][[BR]]
    225 Izdelava kvadra
     225Izdelava kvadra [[Image(Kvader.png, right)]]
    226226{{{
    227227#!python
     
    230230kvader = BRepPrimAPI_MakeBox(Tocka1, Tocka2)
    231231}}}
    232 [[BR]][[BR]][[BR]][[BR]]
    233 
    234 Izdelava izvleka pod kotom nagiba
     232Z ukazom [http://opencascade.sourcearchive.com/documentation/6.3.0.dfsg.1/classBRepPrimAPI__MakeBox.html BRepPrimAPI__MakeBox] izdelamo tridimenzionalni model oblike kvadra. Pri tem lahko uporabimo več različnih argumentov:
     233 * (dolzina_X, dolzina_Y, dolzina_Z) ... kvader določimo z razdaljami posameznih robov[[BR]][[BR]]
     234 * (Tocka1, dolzina_X, dolzina_Y, dolzina_Z) ... kvader se prične izrisovati od točke 1 (X,Y,Z) dalje inje določen z razdaljami posameznih robov[[BR]][[BR]]
     235 * (Tocka 1, Tocka2) ... kvader določimo s koordinatami dveh točk, ki ježita v nasproti ležečih ogljiščih[[BR]][[BR]]
     236[[BR]][[BR]][[BR]][[BR]]
     237
     238Izdelava izvleka pod kotom nagiba [[Image(Kvader-nagib.png, right)]]
    235239{{{
    236240#!python
     
    240244kvader= BRepPrimAPI_MakeWedge(dolzina_X, dolzina_Y, dolzina_Z, dolzina_X/2, dolzina_Z/2, dolzina_X/2, dolzina_Z/2)
    241245}}}
    242 [[BR]][[BR]][[BR]][[BR]]
    243 
    244 Izdelava valja
     246Z ukazom [http://opencascade.sourcearchive.com/documentation/6.3.0.dfsg.1/classBRepPrimAPI__MakeWedge.html BRepPrimAPI__MakeWedge] izdelamo tridimenzionalni model oblike kvadra s koti nagiba. Pri tem lahko uporabimo več različnih argumentov:
     247 * (dolzina_X, dolzina_Y, dolzina_Z, dolzina_X2) ... določimo razdalje posameznih robov kvadra, ter dimenzijo spremenjenega roba X[[BR]][[BR]]
     248 * (dolzina_X, dolzina_Y, dolzina_Z, dolzina_Xmin, dolzina_Zmin, dolzina_Xmax, dolzina_Zmax) ... določimo razdalje posameznih robov kvadra, ter minimalne in maksimalne dimenzije robov X in Z[[BR]][[BR]]
     249 * (dolzina_X, dolzina_Y, dolzina_Z, dolzina_X/2, 0, dolzina_X/2, dolzina_Z) ... določimo razdalje posameznih robov kvadra, ter dimenzijo spremenjenega roba Z[[BR]][[BR]]
     250 * (dolzina_X, dolzina_Y, dolzina_Z, dolzina_X/2, dolzina_Z/2, dolzina_X/2, dolzina_Z/2)... določimo razdalje posameznih robov kvadra, preostali argumenti nam podajo obliko piramide[[BR]][[BR]]
     251[[BR]][[BR]][[BR]][[BR]]
     252
     253Izdelava valja [[Image(Valj.png, right)]]
    245254{{{
    246255#!python
     
    248257valj= BRepPrimAPI_MakeCylinder(Os, Radij, Visina, Kot_radiani)
    249258}}}
    250 [[BR]][[BR]][[BR]][[BR]]
    251 
    252 Izdelava stožca
     259Z ukazom [http://opencascade.sourcearchive.com/documentation/6.3.0.dfsg.1/classBRepPrimAPI__MakeCylinder.html BRepPrimAPI__MakeCylinder] izdelamo tridimenzionalni model oblike valja. Pri tem lahko uporabimo več različnih argumentov:
     260 * (Radij, Visina) ... izdelamo valj z določenim radijem in višino[[BR]][[BR]]
     261 * (Radij, Visina, Kot_radiani) ... izdelamo delj valja za nastavljen kot z določenim radijem in višino[[BR]][[BR]]
     262 * (Os, Radij, Visina, Kot_radiani) ... izdelamo delj valja za nastavljen kot z določenim radijem in višino in ki ima nastavljeno poljubno os[[BR]][[BR]]
     263Os valja definiramo kot:
     264{{{
     265#!python
     266Tocka = gp_Pnt(X, Y, Z)         #definicija tocke
     267normala = gp_DX()               #smer normale
     268os = gp_Ax2(Tocka, normala)     #definicija osi
     269}}}
     270[[BR]][[BR]][[BR]][[BR]]
     271
     272Izdelava stožca [[Image(Stozec.png, right)]]
    253273{{{
    254274#!python
     
    256276stozec= BRepPrimAPI_MakeCone(Os, Radij_1, Radij_2, Visina, Kot_radiani)
    257277}}}
    258 [[BR]][[BR]][[BR]][[BR]]
    259 
    260 Izdelava sfere
     278Z ukazom [http://opencascade.sourcearchive.com/documentation/6.3.0.dfsg.1/classBRepPrimAPI__MakeCone.html BRepPrimAPI__MakeCone] izdelamo tridimenzionalni model oblike stožca. Pri tem lahko uporabimo več različnih argumentov:
     279 * (Radij_1, Radij_2, Visina) ... izdelamo stožec z osnovo radija 1 ter na višini H z radijem 2[[BR]][[BR]]
     280 * (Radij_1, Radij_2, Visina, Kot_radiani) ... izdelamo delni stožec, določen s kotom, z osnovo radija 1 ter na višini H z radijem 2[[BR]][[BR]]
     281 * (Os, Radij_1, Radij_2, Visina, Kot_radiani) ... izdelamo delni stožec okoli izbrane osi, določen s kotom, z osnovo radija 1 ter na višini H z radijem 2[[BR]][[BR]]
     282[[BR]][[BR]][[BR]][[BR]]
     283
     284Izdelava sfere [[Image(Sfera.png, right)]]
    261285{{{
    262286#!python
    263287sphere= BRepPrimAPI_MakeSphere(Radij, Kot_radiani)
    264288sphere= BRepPrimAPI_MakeSphere(Radij, Kot_a1_rad, Kot_a2_rad)
    265 }}}
    266 [[BR]][[BR]][[BR]][[BR]]
    267 
    268 Izdelava torusa
     289sphere= BRepPrimAPI_MakeSphere(Radij, Kot_a1_rad, Kot_a2_rad, Kot_radiani)
     290}}}
     291Z ukazom [http://opencascade.sourcearchive.com/documentation/6.3.0.dfsg.1/classBRepPrimAPI__MakeSphere.html BRepPrimAPI__MakeSphere] izdelamo tridimenzionalni model oblike sfere. Pri tem lahko uporabimo več različnih argumentov:
     292 * (Radij) ... izdelave sfere z radijem[[BR]][[BR]]
     293 * (Radij, Kot_radiani) ... izdelave delne sfere z radijem[[BR]][[BR]]
     294 * (Radij, Kot_a1_rad, Kot_a2_rad) ... izdelave sfere, ki ima odstanjen sredinski del pod kotom 1 in kotom 2[[BR]][[BR]]
     295 * (Radij, Kot_a1_rad, Kot_a2_rad, Kot_radiani) ... izdelave delne sfere, ki ima odstanjen sredinski del pod kotom 1 in kotom 2[[BR]][[BR]]
     296[[BR]][[BR]][[BR]][[BR]]
     297
     298Izdelava torusa [[Image(Torus.png, right)]]
    269299{{{
    270300#!python
     
    273303torus= BRepPrimAPI_MakeTorus(Radij_torusa, Radij_prereza, Kot_a1_rad, Kot_a2_rad)
    274304}}}
    275 [[BR]][[BR]][[BR]][[BR]]
    276 
    277 Izdelava izvleka
    278 {{{
    279 #!python
    280 Izvlek = BRepPrimAPI_MakePrism(Povrsina.Face() , Vektor)
    281 Izvlek = BRepPrimAPI_MakePrism(Povrsina.Face() , Smer)
    282 }}}
    283 [[BR]][[BR]][[BR]][[BR]]
    284 
    285 Izdelava krožnega izvleka
    286 {{{
    287 #!python
    288 Vrtenina = BRepPrimAPI_MakeRevol(Povrsina.Face() , Os)
    289 Vrtenina = BRepPrimAPI_MakeRevol(Povrsina.Face() , Os, Kot_radiani)
    290 }}}
     305Z ukazom [http://opencascade.sourcearchive.com/documentation/6.3.0.dfsg.1/classBRepPrimAPI__MakeTorus.html BRepPrimAPI__MakeTorus] izdelamo tridimenzionalni model oblike torusa. Pri tem lahko uporabimo več različnih argumentov:
     306 * (Radij_torusa, Radij_prereza) ... izdelava torusa s središčnim radijem ter polmerom prereza[[BR]][[BR]]
     307 * (Radij_torusa, Radij_prereza, Kot_radiani) ... izdelava delnega torusa s središčnim radijem ter polmerom prereza[[BR]][[BR]]
     308 * (Radij_torusa, Radij_prereza, Kot_a1_rad, Kot_a2_rad) ... izdelava delnega torusa, ki ima odstanjen sredinski del pod kotom 1 in kotom 2[[BR]][[BR]]
     309[[BR]][[BR]][[BR]][[BR]]
     310
     311Izdelava izvleka [[Image(Izvlek_2.png, right)]]
     312{{{
     313#!python
     314Izvlek = BRepPrimAPI_MakePrism(Povrsina , Vektor)
     315Izvlek = BRepPrimAPI_MakePrism(Povrsina , Smer)
     316}}}
     317Z ukazom [http://opencascade.sourcearchive.com/documentation/6.3.0.dfsg.1/classBRepPrimAPI__MakePrism.html BRepPrimAPI__MakePrism] izdelamo tridimenzionalni prizmatični model. Pri tem lahko uporabimo več različnih argumentov:
     318 * (Povrsina , Vektor) ... izberemo obstoječo površino ter jo izvlečemo za velikost vektorja[[BR]][[BR]]
     319 * (Povrsina , Smer) ... izberemo obstoječo površino ter jo izvlečemo v željeni smeri[[BR]][[BR]]
     320[[BR]][[BR]][[BR]][[BR]]
     321
     322Izdelava krožnega izvleka [[Image(Izvlek_krozni.png, right)]]
     323{{{
     324#!python
     325Vrtenina = BRepPrimAPI_MakeRevol(Povrsina , Os)
     326Vrtenina = BRepPrimAPI_MakeRevol(Povrsina , Os, Kot_radiani)
     327}}}
     328Z ukazom [http://opencascade.sourcearchive.com/documentation/6.3.0.dfsg.1/classBRepPrimAPI__MakeRevol.html BRepPrimAPI__MakeRevol] izdelamo tridimenzionalni osnosimetričnimodel. Pri tem lahko uporabimo več različnih argumentov:
     329 * (Povrsina , Os) ... zavrtimo izbrano površino okoli osi[[BR]][[BR]]
     330 * (Povrsina , Os, Kot_radiani) ... zavrtimo izbrano površino za kot okoli osi[[BR]][[BR]]
    291331[[BR]][[BR]][[BR]][[BR]]
    292332
     
    295335== Uporaba menijev znotraj prikaznega okna ==
    296336[[BR]][[BR]]
     337 [[Image(Meniji.png, right)]]
    297338Najprej je potrebno definirati funkcije, ki izvršijo ukaz (izdelajo neko obliko). Pri tem pred izrisom oblike počistimo modelno okno obstoječih oblik z ukazom [display.EraseAll()].
    298339{{{